Package twisted :: Package internet :: Module interfaces :: Class IReactorArbitrary

[show private | hide private]
[frames | no frames]

## Class IReactorArbitrary

    Interface --+
                |
               IReactorArbitrary

Method Summary
| ``connectWith`(self, connectorType, *args, **kw)` Start an instance of the given `connectorType`connecting.
| ``listenWith`(self, portType, *args, **kw)` Start an instance of the given `portType`listening.

Method Details

### connectWith(self, connectorType, *args, **kw)

Start an instance of the given `connectorType` connecting.

  Parameters:
    `connectorType` - The object given by `connectorType(*args, **kw)` will be started connecting.
    (type=type which implements `IConnector`)

### listenWith(self, portType, *args, **kw)

Start an instance of the given `portType` listening.

  Parameters:
    `portType` - The object given by `portType(*args, **kw)` will be started listening.
    (type=type which implements `IListeningPort`)

Generated by Epydoc 1.1 on Sat Feb 15 21:17:51 2003 | http://epydoc.sf.net